# Class EvmAutomaticCircleBridge<N, C>

#### Type Parameters

- #### N extends Network

- #### C extends EvmChains

#### Hierarchy

- EvmAutomaticCircleBridge

#### Implements

- AutomaticCircleBridge<N, EvmPlatformType, C>

- Defined in platforms/evm/protocols/cctp/src/automaticCircleBridge.ts:32

#####
Index

### Constructors

constructor

### Properties

chain
chainId
circleRelayer
contracts
network
provider

### Methods

createUnsignedTx
getRelayerFee
transfer
fromRpc

## Constructors

### `Private` constructor

- new EvmAutomaticCircleBridge<N, C>(network, chain, provider, contracts): EvmAutomaticCircleBridge<N, C>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  - #### C extends "Ethereum" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Moonbeam" | "Neon" | "Arbitrum" | "Optimism" | "Gnosis" | "Base" | "Rootstock" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky"

  #### Parameters

  - ##### network: N

  - ##### chain: C

  - ##### provider: Provider

  - ##### contracts: Contracts

  #### Returns EvmAutomaticCircleBridge<N, C>

  - Defined in platforms/evm/protocols/cctp/src/automaticCircleBridge.ts:40

## Properties

### `Readonly` chain

chain: C

- Defined in platforms/evm/protocols/cctp/src/automaticCircleBridge.ts:42

### `Readonly` chainId

chainId: bigint

- Defined in platforms/evm/protocols/cctp/src/automaticCircleBridge.ts:36

### `Readonly` circleRelayer

circleRelayer: CircleRelayer

- Defined in platforms/evm/protocols/cctp/src/automaticCircleBridge.ts:35

### `Readonly` contracts

contracts: Contracts

- Defined in platforms/evm/protocols/cctp/src/automaticCircleBridge.ts:44

### `Readonly` network

network: N

- Defined in platforms/evm/protocols/cctp/src/automaticCircleBridge.ts:41

### `Readonly` provider

provider: Provider

- Defined in platforms/evm/protocols/cctp/src/automaticCircleBridge.ts:43

## Methods

### `Private` createUnsignedTx

- createUnsignedTx(txReq, description, parallelizable?): EvmUnsignedTransaction<N, C>

- #### Parameters

  - ##### txReq: TransactionRequest

  - ##### description: string

  - ##### parallelizable: boolean = false

  #### Returns EvmUnsignedTransaction<N, C>

  - Defined in platforms/evm/protocols/cctp/src/automaticCircleBridge.ts:144

### getRelayerFee

- getRelayerFee(destination): Promise<bigint>

- #### Parameters

  - ##### destination: "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky"

  #### Returns Promise<bigint>

  Implementation of AutomaticCircleBridge.getRelayerFee

  - Defined in platforms/evm/protocols/cctp/src/automaticCircleBridge.ts:82

### transfer

- transfer(sender, recipient, amount, nativeGas?): AsyncGenerator<EvmUnsignedTransaction<N, C>, any, unknown>

- #### Parameters

  - ##### sender: AccountAddress<C>

  - ##### recipient: ChainAddress

  - ##### amount: bigint

  - ##### `Optional` nativeGas: bigint

  #### Returns AsyncGenerator<EvmUnsignedTransaction<N, C>, any, unknown>

  Implementation of AutomaticCircleBridge.transfer

  - Defined in platforms/evm/protocols/cctp/src/automaticCircleBridge.ts:90

### `Static` fromRpc

- fromRpc<N>(provider, config): Promise<EvmAutomaticCircleBridge<N, "Ethereum" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Moonbeam" | "Neon" | "Arbitrum" | "Optimism" | "Gnosis" | "Base" | "Rootstock" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  #### Parameters

  - ##### provider: Provider

  - ##### config: ChainsConfig<N, "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm">

  #### Returns Promise<EvmAutomaticCircleBridge<N, "Ethereum" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Moonbeam" | "Neon" | "Arbitrum" | "Optimism" | "Gnosis" | "Base" | "Rootstock" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">>

  - Defined in platforms/evm/protocols/cctp/src/automaticCircleBridge.ts:66

Generated using TypeDoc